;;; START.lsp for ARES Commander Edition
;;; (former P8i_STUP.LSP)
;;; ====================================================================
;;; (C)opyright Grbert GmbH (CADAnywhere) 1995-2008
;;; ====================================================================
;;; ====================================================================
;;; Created: Jan 23, 1996 vp
;;; Changed: Sep 30, 1996 vp
;;;          Mar 01, 1998 vp / 3D Lisp Option Load added
;;;          03/03/05 cK / Old raster support deleted
;;; ====================================================================
;;;    Several commands loaded via this main lisp file are used in
;;;    the pull-down menu and palettes of the program.
;;;
;;; Note:
;;;    This file should be auto-loaded to provide the user with the
;;;    commands defined in programming interface files (Lisp or DDL
;;;    files).
;;;
;;;    Auto-Loading of this Lisp file is guaranteed by the entry
;;;    "AutoLspLoad=" in the program's INI file.
;;;    It is required, that the file is located in the application
;;;    directory setting specified in the program's INI file.
;;;
;;; ====================================================================
(princ "\nStartup ")
;;; ====================================================================
;;; Set the global variable FLX$DIRECTORY, which is used to find the
;;; additional Lisp and Dialog Files relative to the kernel directory:

;;; storing the original list of defined symbols
(if
	(and *OrigAtomsFamily* (listp *ARESOrigAtomsFamily*))
	()
	(setq *OrigAtomsFamily* (atoms-family 1))
)


(setq *LspStartupFn* "start.lsp");;; HAS TO BE THE NAME OF THIS LISP FILE !!!!
(setq *LspARESMainFn* "main.lsp")


;;; ====================================================================
;;; Load main ARES Lisp/FDT file

(princ ".")
(if
	(setq tmp (findfile *LspARESMainFn*))
  (load tmp
   	(progn
   		(princ (strcat " Error loading \"" tmp "\"! "))
   		(setq tmp ())
   		(exit)
   	)
  )
  (progn
  	(princ (strcat " Error: Main LISP file \"" *LspARESMainFn* "\" not found!"))
  	(exit)
  )
)
(princ ".")

(princ " OK ")
(terpri)
(princ)